Next Previous Up Contents
Next: select
Up: Processing Filters
Previous: replaceval

#### 6.1.29 `rowrange`

Usage:

       rowrange <first> <last>|+<count>

Includes only rows in a given range. The range can either be supplied as "`<first> <last>`", where row indices are inclusive, or "`<first> +<count>`". In either case, the first row is numbered 1.

Thus, to get the first hundred rows, use either "`rowrange 1 100`" or "`rowrange 1 +100`" and to get the second hundred, either "`rowrange 101 200`" or "`rowrange 101 +100`"

The integer arguments may be given as a plain integer (`1000`), or with embedded underscores (`1_000`), or in exponential format (`1e3`).

Next Previous Up Contents
Next: select
Up: Processing Filters
Previous: replaceval

STILTS - Starlink Tables Infrastructure Library Tool Set
Starlink User Note256
STILTS web page: http://www.starlink.ac.uk/stilts/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk